// Two country model - shocks in marginal utility of consumption, labour, capital adjustment costs and policy rules

load('posteriorparam.mat')

// Endogenous variables 
var Y Y_h Y_f p_h C I W N R_k K pi lambda mu m /*MC*/ R_h b_f Q S CA TB GDPval
    Y_s Y_h_s Y_f_s p_h_s p_f_s C_s I_s W_s N_s R_k_s K_s pi_s lambda_s mu_s m_s MC_s R_f_s b_f_s 
    CA_s TB_s GDPval_s R_l tau_r ratio S_trend M M_s UIPdev X X_s S_trend_use sgross_ratio igross_ratio fincon_act; // eta_fc;// S_trend s  

varexo epilson_tau_r /*epilson_G epilson_G_s*/ epilson_m epilson_R_f_s epilson_St G G_s epilson_bf; // epilson_G_s_obs epilson_G_obs epilson_etafc; 
 
parameters beta sigma theta eta phi_m alpha alpha_s delta delta_s psi psi_s n omega omega_s phi_a kappa rho_mm rho_mgdp rho_mpi bigpsi bigpsi_s 
rho_taur rho_taurbf rho_taurpi rho_taurgdp rho_bf rho_bfst rho_bfs rho_st rho_stpi sigma_bf sigma_G sigma_G_s sigma_m sigma_tau sigma_St rho_stgdp  
p_h_SS Y_SS Y_h_SS Y_f_SS C_SS lambda_SS N_SS W_SS m_SS pi_SS G_SS R_h_SS b_f_SS I_SS K_SS mu_SS R_k_SS MC_SS p_h_s_SS Q_SS ratio_SS S_SS p_f_s_SS 
R_f_s_SS Y_h_s_SS pi_s_SS Y_s_SS Y_f_s_SS C_s_SS lambda_s_SS N_s_SS W_s_SS m_s_SS G_s_SS mu_s_SS I_s_SS K_s_SS R_k_s_SS MC_s_SS b_f_s_SS GDPval_SS
GDPval_s_SS CA_SS CA_s_SS TB_SS TB_s_SS p_hend_SS Yend_SS Y_hend_SS Y_fend_SS Cend_SS lambdaend_SS Nend_SS Wend_SS mend_SS piend_SS Gend_SS R_hend_SS
b_fend_SS Iend_SS Kend_SS muend_SS R_kend_SS MCend_SS p_h_send_SS Qend_SS ratioend_SS Send_SS p_f_send_SS R_f_send_SS Y_h_send_SS pi_send_SS Y_send_SS 
Y_f_send_SS C_send_SS lambda_send_SS N_send_SS W_send_SS mu_send_SS G_send_SS I_send_SS K_send_SS R_k_send_SS MC_send_SS b_f_send_SS 
GDPvalend_SS GDPval_send_SS CAend_SS CA_send_SS TBend_SS TB_send_SS S_T_SS tau_r_SS R_l_SS tau_rend_SS R_lend_SS rho_mQ sigma_Rfs 
rho_Rfs rho_Rfspi rho_Rfsgdp sigma_G_obs sigma_G_s_obs rho_G rho_G_s rho_stpigap phi_m_s rho_sts eta_fc_SS rho_etafc rho_etapi rho_etagdp
eta_fcend_SS  fincon_act_SS fincon_actend_SS fincon;

[param, ss] = calibext_fincon_use;
//[param, ss] = calibext_nofincon_use;
beta=param(1); sigma=param(2); theta=param(3); eta=param(4); phi_m=param(5); alpha=param(6); alpha_s=param(7); delta=param(8); delta_s=param(9);
psi=param(12); psi_s=param(13); n=param(14); omega=param(15); omega_s=param(16); phi_a=param(17); kappa=param(19); phi_m=param(20);
rho_mm=param(21); rho_mgdp=param(22); rho_mpi=param(23); 
sigma_G=param(34); sigma_G_s=param(35); sigma_m=param(36); 
rho_taur=rho_taur_pp; rho_bf=rho_bf_pp; rho_st=rho_st_pp;
rho_etafc=rho_etafc_pp; rho_etapi=rho_etapi_pp;
rho_taurbf=rho_taurbf_pp; rho_taurpi=rho_taurpi_pp; rho_taurgdp=rho_taurgdp_pp; rho_bfst=rho_bfst_pp; /*rho_etagdp=rho_etagdp_pp;*/ rho_etagdp=0;
rho_bfs=param(30);  rho_stpi=rho_stpi_pp; sigma_bf=sigma_bf_pp;  sigma_tau=sigma_tau_pp; sigma_St=sigma_St_pp; rho_stgdp=rho_stgdp_pp;
rho_sts=0; rho_mQ=param(52); sigma_Rfs=param(53); rho_Rfs=param(54); rho_Rfspi=param(55); rho_Rfsgdp=param(56); phi_m_s=param(61); fincon=param(62);
/*rho_taur=param(24); rho_bf=param(28); rho_st=param(31);*/
/*rho_taurbf=param(25); rho_taurpi=param(26); rho_taurgdp=param(27);  
rho_bfst=param(29); rho_bfs=param(30);  rho_stpi=param(32); sigma_bf=param(33);  
sigma_tau=param(37); sigma_St=param(38); rho_stgdp=param(39); rho_mQ=param(52);*/
/*rho_taurbf=param(25); rho_taurpi=param(26); rho_taurgdp=param(27); rho_bfst=param(29); 
rho_bfs=param(30);  rho_stpi=param(32); sigma_bf=param(33);  sigma_tau=param(37); sigma_St=param(38); rho_stgdp=param(39);*/
/*sigma_Rfs=sigma_Rfs_pp; rho_Rfs=rho_Rfs_pp; rho_Rfspi=rho_Rfspi_pp; rho_Rfsgdp=rho_Rfsgdp_pp;*/
/*rho_stpigap=rho_stpigap_pp;*/ bigpsi=ss(10); bigpsi_s=ss(11);
p_h_SS=ss(1); Y_SS=ss(2); Y_h_SS=ss(3); Y_f_SS=ss(4); C_SS=ss(5); lambda_SS=ss(6); N_SS=ss(7); W_SS=ss(8); m_SS=ss(9); pi_SS=ss(10); G_SS=ss(11); R_h_SS=ss(12); 
b_f_SS=ss(13); I_SS=ss(14); K_SS=ss(15); mu_SS=ss(16); R_k_SS=ss(17); p_h_s_SS=ss(18); Q_SS=ss(19); ratio_SS=ss(20); S_SS=ss(21); p_f_s_SS=ss(22); 
R_f_s_SS=ss(23); Y_h_s_SS=ss(24); pi_s_SS=ss(25); Y_s_SS=ss(26); Y_f_s_SS=ss(27); C_s_SS=ss(28); lambda_s_SS=ss(29); N_s_SS=ss(30); W_s_SS=ss(31); m_s_SS=ss(32); 
G_s_SS=ss(33); mu_s_SS=ss(34); I_s_SS=ss(35); K_s_SS=ss(36); R_k_s_SS=ss(37); MC_s_SS=ss(38); b_f_s_SS=ss(39); GDPval_SS=ss(40); GDPval_s_SS=ss(41); CA_SS=ss(42); 
CA_s_SS=ss(43); TB_SS=ss(44); TB_s_SS=ss(45); p_hend_SS=ss(46); Yend_SS=ss(47); Y_hend_SS=ss(48); Y_fend_SS=ss(49); Cend_SS=ss(50); lambdaend_SS=ss(51); Nend_SS=ss(52); 
Wend_SS=ss(53); mend_SS=ss(54); piend_SS=ss(55); Gend_SS=ss(56); R_hend_SS=ss(57); b_fend_SS=ss(58); Iend_SS=ss(59); Kend_SS=ss(60); muend_SS=ss(61); R_kend_SS=ss(62); 
p_h_send_SS=ss(63); Qend_SS=ss(64); ratioend_SS=ss(65); Send_SS=ss(66); p_f_send_SS=ss(67); R_f_send_SS=ss(68); Y_h_send_SS=ss(69); pi_send_SS=ss(70); 
Y_send_SS=ss(71); Y_f_send_SS=ss(72); C_send_SS=ss(73); lambda_send_SS=ss(74); N_send_SS=ss(75); W_send_SS=ss(76); m_send_SS=ss(77); 
G_send_SS=ss(78); mu_send_SS=ss(79); MC_send_SS=ss(102); eta_fc_SS=ss(103); eta_fcend_SS=ss(104);
I_send_SS=ss(80); K_send_SS=ss(81); R_k_send_SS=ss(82); b_f_send_SS=ss(83); GDPvalend_SS=ss(84); GDPval_send_SS=ss(85); CAend_SS=ss(86); CA_send_SS=ss(87); 
TBend_SS=ss(88); TB_send_SS=ss(89); tau_r_SS=ss(90); R_l_SS=ss(91); tau_rend_SS=ss(92); R_lend_SS=ss(93); S_T_SS=ss(22); fincon=param(62);
fincon_act_SS=ss(105); fincon_actend_SS=ss(106);

model; 

// Defintion of output
/*1*/ exp(Y)^((theta-1)/theta) = omega^(1/theta)*exp(Y_h)^((theta-1)/theta) + (1-omega)^(1/theta)*(exp(Y_f)/exp(ratio(-1)))^((theta-1)/theta);
/*2*/ exp(Y_s)^((theta-1)/theta) = omega_s^(1/theta)*(exp(ratio(-1))*exp(Y_h_s))^((theta-1)/theta) + (1-omega_s)^(1/theta)*exp(Y_f_s)^((theta-1)/theta);

// FOC for demand for each component of output
/*3*/ exp(Y_h)/exp(Y_f)*exp(ratio(-1)) = (omega/(1-omega))*(exp(p_h)/(exp(Q)*exp(p_f_s)))^(-theta);
/*4*/ exp(Y_h_s)/exp(Y_f_s)*exp(ratio(-1)) = (omega_s/(1-omega_s))*(exp(p_h_s)/exp(p_f_s))^(-theta);

// Definition of prices
/*5*/ 1 = omega*exp(p_h)^(1-theta) + (1-omega)*(exp(Q)*exp(p_f_s))^(1-theta);
/*6*/ 1 = omega_s*exp(p_h_s)^(1-theta) + (1-omega_s)*exp(p_f_s)^(1-theta);

// HHFOC for consumption
/*7*/ exp(lambda) = 1/exp(C);
/*8*/ exp(lambda_s) = 1/exp(C_s);
/*9*/exp(lambda) = beta*R_h*exp(lambda(+1))/(exp(pi(+1))*exp(G));
//*10*/ n*(b_f/exp(GDPval) - b_fend_SS/exp(GDPvalend_SS)) = rho_bf*(n*b_f(-1)/exp(GDPval(-1))-n*b_fend_SS/exp(GDPvalend_SS)) - rho_bfs*(S) + rho_bfst*S_trend + sigma_bf*epilson_bf;
//CA = b_f - exp(S)*b_f(-1)/(exp(pi)*exp(G(-1))) + sigma_bf*epilson_bf;
//(1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s)-(1-n)*exp(Q_SS)*exp(p_h_s_SS)*exp(Y_h_s_SS) = b_f - exp(S)*b_f(-1)/(exp(pi)*exp(G(-1))) + sigma_bf*epilson_bf;
//n*CA = n*b_f - n*exp(S)*b_f(-1)/(exp(pi)*exp(G(-1))) + rho_bfs*S*0.25 + epilson_bf; //Baseline foreign reserves
CA = b_f - exp(S)*b_f(-1)/(exp(pi)*exp(G(-1))) + rho_bfs*S + epilson_bf; //Baseline foreign reserves
/*11*/exp(lambda_s) = beta*exp(lambda_s(+1))*R_f_s/(exp(pi_s(+1))*exp(G_s));
phi_m/exp(m) = exp(lambda)-beta*exp(lambda(+1))/(exp(pi(+1))*exp(G));
phi_m_s/exp(m_s) = exp(lambda_s)-beta*exp(lambda_s(+1))/(exp(pi_s(+1))*exp(G_s));

// HHFOC for labor
/*12*/ exp(N)^eta - exp(lambda)*exp(W)=0;
/*13*/ exp(N_s)^eta - exp(lambda_s)*exp(W_s)=0; 

// HHFOC for investment
/*14*/exp(lambda) = exp(mu)*(1-exp(bigpsi)*(exp(I)/exp(K(-1))-delta+1-exp(G_SS)));
/*15*/exp(lambda_s) = exp(mu_s)*(1-exp(bigpsi_s)*(exp(I_s)/exp(K_s(-1))-delta_s+1-exp(G_s_SS)));

// HHFOC for capital
/*16*/ exp(mu)*exp(G)= beta*(exp(lambda(+1))*R_k(+1) + exp(mu(+1))*((1-delta)+0.5*exp(bigpsi)*(exp(I(+1))/exp(K)+1-delta-exp(G_SS))*(exp(I(+1))/exp(K)-1+delta+exp(G_SS))));
/*17*/ exp(mu_s)*exp(G_s) = beta*(exp(lambda_s(+1))*R_k_s(+1) + exp(mu_s(+1))*((1-delta_s)+0.5*exp(bigpsi_s)*(exp(I_s(+1))/exp(K_s)+1-delta_s-exp(G_s_SS))*(exp(I_s(+1))/exp(K_s)-1+delta_s+exp(G_s_SS)))); 

// Country budget constraints
/*18*/ n*(exp(C)+exp(I)+b_f+0.5*phi_a*(b_f-b_fend_SS)^2) = n*exp(p_h)*exp(Y_h) + (1-n)*exp(p_h_s)*exp(Q)*exp(Y_h_s) + n*exp(S)*R_f_s(-1)*b_f(-1)/(exp(pi)*exp(G(-1)));
//*19*/ (1-n)*(exp(C_s)+exp(I_s)+b_f_s) = exp(p_f_s)*(n*exp(Y_f)+(1-n)*exp(Y_f_s))+(1-n)*R_f_s(-1)*b_f_s(-1)/(exp(pi_s)*exp(G_s(-1)))+ n*0.5*phi_a*(b_f-b_fend_SS)*ratio(-1)/exp(Q);

// Defintion of production
/*20*/ n*exp(Y_h) + (1-n)*exp(Y_h_s) = n*exp(K(-1))^alpha*(exp(G)*exp(N))^(1-alpha);
/*21*/ n*exp(Y_f) + (1-n)*exp(Y_f_s) = (1-n)*exp(K_s(-1))^alpha_s*(exp(N_s)*exp(G_s))^(1-alpha_s);

// Marginal costs and production FOCs
/*22*/ 0 = beta*exp(lambda(+1))*R_l*exp(W)/(exp(lambda)*exp(G)) + ((1-sigma)/sigma)*(1-alpha)*exp(p_h)*(exp(G)^(1-alpha))*(exp(K(-1))/exp(N))^alpha; //Non-binding constraint
//*22*/ eta_fc*exp(W) = beta*exp(lambda(+1))*R_l*exp(W)/(exp(lambda)*exp(G)) + ((1-sigma)/sigma)*(1-alpha)*exp(p_h)*(exp(G)^(1-alpha))*(exp(K(-1))/exp(N))^alpha; //Binding constraint
/*23*/ exp(MC_s) = (1-psi_s+psi_s*R_f_s)*exp(W_s)*exp(N_s)^alpha_s/((1-alpha_s)*exp(G_s)^(1-alpha_s)*exp(K_s(-1))^alpha_s); 
//*24*/ exp(MC)*alpha*(exp(G)*exp(N))^(1-alpha) = (1-psi+psi*eta_fc*R_l)*R_k*exp(K(-1))^(1-alpha);
/*24*/ 0 = beta*exp(lambda(+1))*R_l*R_k/(exp(lambda)*exp(G)) + ((1-sigma)/sigma)*alpha*exp(p_h)*(exp(G)^(1-alpha))*(exp(N)/exp(K(-1)))^(1-alpha); //Non-binding constraint
//*24*/ eta_fc*(R_k-fincon) = beta*exp(lambda(+1))*R_l*R_k/(exp(lambda)*exp(G)) + ((1-sigma)/sigma)*alpha*exp(p_h)*(exp(G)^(1-alpha))*(exp(N)/exp(K(-1)))^(1-alpha); //Binding constraint
/*25*/ exp(MC_s)*alpha_s*(exp(G_s)*exp(N_s))^(1-alpha_s) = (1-psi_s+psi_s*R_f_s)*R_k_s*exp(K_s(-1))^(1-alpha_s);
//*24a*/ exp(W)*exp(N) + R_k*exp(K(-1)) = fincon*exp(K(-1)); //Binding constraint
/*24a*/ exp(W)*exp(N) + R_k*exp(K(-1)) = fincon_act*exp(K(-1)); //Value of non-financial constraint

// Market clearing
/*26*/ exp(Y) = exp(C) + exp(I);
/*27*/ exp(Y_s) = exp(C_s) + exp(I_s);
/*28*/ n*b_f*exp(ratio(-1))/exp(Q) + (1-n)*b_f_s = 0;

// Law of motion for capital
/*29*/ exp(K)*exp(G) = (1-delta)*exp(K(-1)) + exp(I) - (exp(bigpsi)*exp(K(-1))/2)*(exp(I)/exp(K(-1))-delta+1-exp(G_SS))^2;
/*30*/ exp(K_s)*exp(G_s) = (1-delta_s)*exp(K_s(-1)) + exp(I_s) - (exp(bigpsi_s)*exp(K_s(-1))/2)*(exp(I_s)/exp(K_s(-1))-delta_s+1-exp(G_s_SS))^2;

// Price setting
///*31*/ exp(p_h) = sigma/(sigma-1)*exp(MC);
//*32*/ exp(p_h_s)*exp(Q) = sigma/(sigma-1)*exp(MC);
exp(p_h)=exp(Q)*exp(p_h_s);
/*33*/ exp(p_f_s) = sigma/(sigma-1)*exp(MC_s);

// Process for technology
//*34*/ G = G_SS + rho_G*(G(-1)-Gend_SS) + kappa*(ratio(-1)-ratioend_SS) + sigma_G*epilson_G; 
//*35*/ G_s = G_s_SS + rho_G_s*(G_s(-1)-G_send_SS) + sigma_G_s*epilson_G_s;

// Taylor rules and money supply rules
/*37*/ m-m(-1) = rho_mm*(m(-1)-m(-2)) + rho_mpi*(pi-piend_SS) + rho_mgdp*(GDPval-GDPval(-1)) + sigma_m*epilson_m; //Baseline rule
//*37*/ m-m(-1) = (0.391^4)*(m(-1)-m(-2)) - 0.397*(pi-piend_SS) + 0.183*(GDPval-GDPval(-1)) + sigma_m*epilson_m; //Rule from Chen et al  
//*37*/ m-m(-1) = 0.8*(m(-1)-m(-2)) - (pi-piend_SS) - 0.5*(GDPval-GDPval(-1)) + sigma_m*epilson_m; //Rule from Zhang et al
/*37*/ log(R_f_s) - log(R_f_send_SS) = rho_Rfs*(log(R_f_s(-1)) - log(R_f_send_SS)) + rho_Rfspi*(pi_s - pi_send_SS) + rho_Rfsgdp*(GDPval_s-GDPval_send_SS) + sigma_Rfs*epilson_R_f_s;  
/*38*/ (1-tau_r)*R_l = R_h;
// Reserve requirement ratio
//*39*/ tau_r-tau_r_SS = rho_taur*(tau_r(-1)-tau_r_SS) + rho_taurbf*(n*b_f/exp(GDPval) - n*b_f(-1)/exp(GDPval(-1))) + rho_taurpi*(pi-pi_SS) + rho_taurgdp*(GDPval-GDPval(-1)) + sigma_tau*epilson_tau_r; //Using correlations from the data
tau_r-tau_r_SS + epilson_tau_r = 0;
/*40*/ exp(Q)/exp(Q(-1)) = exp(S)*exp(pi_s)/exp(pi);
/*42*/ S_trend = rho_st*(S_trend(-1)) - rho_stpi*(pi-piend_SS) - rho_stgdp*(GDPval-GDPval(-1)) + sigma_St*epilson_St; //Using correlations from the data//With CPI - 0.106*(pi_s-pi_send_SS)

/*41*/ CA = (1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s) - n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1)) + n*exp(S)*(R_f_s(-1)-1)*b_f(-1)/(exp(pi)*exp(G(-1)))-n*0.5*phi_a*(b_f-b_fend_SS)^2;
/*42*/ CA_s = n*exp(p_f_s)*exp(Y_f)-(1-n)*exp(p_h_s)*exp(Y_h_s)*exp(ratio(-1)) + (1-n)*(R_f_s(-1)-1)*b_f_s(-1)/(exp(pi_s)*exp(G_s(-1)))
    +n*exp(ratio(-1))*0.5*phi_a*(b_f-b_fend_SS)^2/exp(Q);
//*41*/ CA = (1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s) - n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1)); //Closed capital account
//*42*/ CA_s = n*exp(p_f_s)*exp(Y_f)-(1-n)*exp(p_h_s)*exp(Y_h_s)*exp(ratio(-1)) + (1-n)*(R_f_s(-1)-1)*b_f_s(-1)/(exp(pi_s)*exp(G_s(-1))); //Closed capital account

/*43*/ TB = (1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s)-n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1));
/*44*/ TB_s = n*exp(p_f_s)*exp(Y_f)-(1-n)*exp(p_h_s)*exp(Y_h_s)*exp(ratio(-1));

/*45*/ exp(GDPval) = n*(exp(C)+exp(I)) + (1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s) - n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1));
/*46*/ exp(GDPval_s) = (1-n)*(exp(C_s)+exp(I_s)) + n*exp(p_f_s)*exp(Y_f) - (1-n)*exp(p_h_s)*exp(Y_h_s)*exp(ratio(-1));

/*47*/ ratio = ratio(-1) + G - G_s;
exp(M)=n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1));
exp(M_s)=(1-n)*exp(p_h_s)*exp(Y_h_s)*exp(ratio(-1));
UIPdev=R_h - exp(S(+1))*R_f_s/(1+phi_a*(b_f-b_fend_SS));
exp(X)=(1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s);
exp(X_s)=n*exp(p_f_s)*exp(Y_f);
S_trend_use = S_trend + S - S_trend(-1);
exp(sgross_ratio) = (n*exp(I) + (1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s) - n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1)) + n*exp(S)*(R_f_s(-1)-1)*b_f(-1)/(exp(pi)*exp(G(-1))) - n*0.5*phi_a*(b_f-b_fend_SS)^2)/exp(GDPval);
//exp(sgross_ratio) = (n*exp(I) + (1-n)*exp(Q)*exp(p_h_s)*exp(Y_h_s) - n*exp(Q)*exp(p_f_s)*exp(Y_f)/exp(ratio(-1)))/exp(GDPval); //Closed capital account
exp(igross_ratio) = n*exp(I)/exp(GDPval);
//eta_fc_share*exp(GDPval) = psi*eta_fc*(exp(W)*exp(N)+R_k*exp(K(-1)))

end;           

initval; 
    
Y = Y_SS;
Y_h = Y_h_SS;
Y_f = Y_f_SS;
C = C_SS;
K = K_SS;
N = N_SS;
p_h = p_h_SS;
Q = Q_SS;
G = G_SS; 
pi = pi_SS;
lambda = lambda_SS;
mu = mu_SS;
W = W_SS;
I = I_SS;
R_k = R_k_SS;
//MC = MC_SS;
R_h = R_h_SS;
S = S_SS;
//S_trend = S_SS;
m = m_SS;
Y_s = Y_s_SS;
Y_h_s = Y_h_s_SS;
Y_f_s = Y_f_s_SS;
C_s = C_s_SS;
K_s = K_s_SS;
N_s = N_s_SS;
p_h_s = p_h_s_SS;
p_f_s = p_f_s_SS;
G_s = G_s_SS;
pi_s = pi_s_SS;
lambda_s = lambda_s_SS;
mu_s = mu_s_SS;
W_s =  W_s_SS; 
I_s = I_s_SS; 
R_k_s = R_k_s_SS; 
MC_s = MC_s_SS;
R_f_s = R_f_s_SS;
//b_f = b_f_SS;
//b_f_s = b_f_s_SS;
m_s = m_s_SS;
ratio = ratio_SS;
CA = CA_SS;
CA_s = CA_s_SS;
GDPval = GDPval_SS;
GDPval_s = GDPval_s_SS;
TB = TB_SS;
TB_s = TB_s_SS;
R_l = R_l_SS; 
tau_r = tau_r_SS;
M=log(n*exp(Q_SS)*exp(p_f_s_SS)*exp(Y_f_SS)/exp(ratio_SS));
M_s=log((1-n)*exp(p_h_s_SS)*exp(Y_h_s_SS)*exp(ratio_SS));
UIPdev=R_h_SS - exp(S_SS)*R_f_s_SS/(1+phi_a*(b_f_SS-b_fend_SS));
X=log((1-n)*exp(Q_SS)*exp(p_h_s_SS)*exp(Y_h_s_SS));
X_s=log(n*exp(p_f_s_SS)*exp(Y_f_SS));
//eta_fc=eta_fc_SS;
igross_ratio = log(n*exp(I_SS)/exp(GDPval_SS));
sgross_ratio = log((n*exp(I_SS) + (1-n)*exp(Q_SS)*exp(p_h_s_SS)*exp(Y_h_s_SS) - n*exp(Q_SS)*exp(p_f_s_SS)*exp(Y_f_SS)/exp(ratio_SS) + n*exp(S_SS)*(R_f_s_SS-1)*b_f_SS/(exp(pi_SS)*exp(G_SS)) - n*0.5*phi_a*(b_f_SS-b_fend_SS)^2)/exp(GDPval_SS));
fincon_act = fincon_act_SS;

end; 

resid;

endval; 
    
Y = Yend_SS;
Y_h = Y_hend_SS;
Y_f = Y_fend_SS;
C = Cend_SS;
K = Kend_SS;
N = Nend_SS;
p_h = p_hend_SS;
Q = Qend_SS;
G = Gend_SS; 
pi = piend_SS;
lambda = lambdaend_SS;
mu = muend_SS;
W = Wend_SS;
I = Iend_SS;
R_k = R_kend_SS;
//MC = MCend_SS;
//eta_fc = eta_fcend_SS;
R_h = R_hend_SS;
S = Send_SS;
//S_trend = Send_SS;
m = mend_SS;
Y_s = Y_send_SS;
Y_h_s = Y_h_send_SS;
Y_f_s = Y_f_send_SS;
C_s = C_send_SS;
K_s = K_send_SS;
N_s = N_send_SS;
p_h_s = p_h_send_SS;
p_f_s = p_f_send_SS;
G_s = G_send_SS;
pi_s = pi_send_SS;
lambda_s = lambda_send_SS;
mu_s = mu_send_SS;
W_s =  W_send_SS; 
I_s = I_send_SS; 
R_k_s = R_k_send_SS; 
MC_s = MC_send_SS;
R_f_s = R_f_send_SS;
//b_f = b_fend_SS;
//b_f_s = b_f_send_SS;
m_s = m_send_SS;
ratio = ratioend_SS;
CA = CAend_SS;
CA_s = CA_send_SS;
GDPval = GDPvalend_SS;
GDPval_s = GDPval_send_SS;
TB = TBend_SS;
TB_s = TB_send_SS;
R_l = R_lend_SS; 
tau_r = tau_rend_SS;
M=log(n*exp(Qend_SS)*exp(p_f_send_SS)*exp(Y_fend_SS)/exp(ratioend_SS));
M_s=log((1-n)*exp(p_h_send_SS)*exp(Y_h_send_SS)*exp(ratioend_SS));
UIPdev=R_hend_SS - exp(Send_SS)*R_f_send_SS/(1+phi_a*(b_fend_SS-b_fend_SS));
X=log((1-n)*exp(Qend_SS)*exp(p_h_send_SS)*exp(Y_h_send_SS));
X_s=log(n*exp(p_f_send_SS)*exp(Y_fend_SS));
igross_ratio = log(n*exp(Iend_SS)/exp(GDPvalend_SS));
sgross_ratio = log((n*exp(Iend_SS) + (1-n)*exp(Qend_SS)*exp(p_h_send_SS)*exp(Y_h_send_SS) - n*exp(Qend_SS)*exp(p_f_send_SS)*exp(Y_fend_SS)/exp(ratioend_SS) + n*exp(Send_SS)*(R_f_send_SS-1)*b_fend_SS/(exp(piend_SS)*exp(Gend_SS)) - n*0.5*phi_a*(b_fend_SS-b_fend_SS)^2)/exp(GDPvalend_SS));
fincon_act = fincon_actend_SS;

end;

resid 

//steady;
  
check; 
 
//model_diagnostics(M_,options_,oo_); 
 
shocks; 
var G;
//periods 1:95; /*2% long run average*/
//values 0.02;
periods 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20:95; /*PWT*/
values -0.014 0.013 -0.052 0.005 0.012 0.027 0.06 0.041	0.047 0.032	0.059 0.062	-0.002 0.026 0.017 0.007 0.014 0.015 0.013 0.02;
//periods 1 2 3 4	5 6	7 8	9 10 11	12 13 14 15	16 17 18 19 20 21; /*US TFP*/
//values 0.017 0.008 0.024 0.023 0.022 0.025 0.024 0.017 0.018 0.014 -0.003 -0.007 -0.004	0.032 -0.004 -0.006	0.01 -0.001	0.009 0.01 0.005;
var G_s;
periods 1 2 3 4	5 6	7 8	9 10 11	12 13 14 15	16 17 18 19 20 21;
values 0.017 0.008 0.024 0.023 0.022 0.025 0.024 0.017 0.018 0.014 -0.003 -0.007 -0.004	0.032 -0.004 -0.006	0.01 -0.001	0.009 0.01 0.005;

end;

steady;
check;

//shock_decomposition;
//stoch_simul(irf=40, nograph, noprint, order=1);  
perfect_foresight_setup(periods=500);
perfect_foresight_solver(stack_solve_algo=0);

dates=(1996:1:2020)';
zeroline=zeros(25,1)';
CAY = (CA(1:25,:)./(exp(GDPval(1:25,:)))*100);
b_fY = (n.*b_f(1:25,:)./(exp(GDPval(1:25,:)))*100);
TBY = (TB(1:25,:)./(exp(GDPval(1:25,:)))*100);

figure('Name','Real Variables Impulse Responses: Technology shock')
subplot(2,3,1);
plot(dates,CAY(1:25,:),'*-r',dates,zeroline,'k');
xlim([1996 2020])
title('Home current account','FontSize',12);
subplot(2,3,2);
plot(dates,b_fY(1:25,:),'*-r',dates,zeroline,'k');
xlim([1996 2020])
title('Home bond holdings','FontSize',12);
subplot(2,3,3); 
plot(dates,TBY(1:25,:),'*-r',dates,zeroline,'k');
xlim([1996 2020])
title('Trade balance','FontSize',12);
subplot(2,3,4); 
//plot(dates,S(1:25,:),'*-r',dates, S_trend_use(1:25,:),':b',dates,zeroline,'k');
plot(dates,Q(1:25,:),'*-r',dates,zeroline,'k');
xlim([1996 2020])
//ylim([-0.12 -0.08])
//title('Nominal exchange rate' , 'FontSize', 12);
title('Real exchange rate' , 'FontSize', 12);
subplot(2,3,5); 
plot(dates,pi(1:25,:),'*-r',dates,zeroline,'k');
xlim([1996 2020])
title('Inflation','FontSize',12);
subplot(2,3,6); 
plot(dates,S(1:25,:),'*-r',dates, S_trend_use(1:25,:),':b',dates,zeroline,'k');
title('Nominal exchange rate' , 'FontSize', 12);
xlim([1996 2020])

/*Saved series*/
// ******** Capital controls, foreign exchange interventions and financial constraints *******
/*GDPval_ster=GDPval
C_ster=C;
I_ster=I;
m_ster=m;
M_ster=M;
X_ster=X;
pi_ster=pi;
Q_ster=Q;
R_h_ster=R_h;
CAY_ster=CAY;
b_f_ster=n*b_f;
b_fY_ster=b_fY;
S_trend_ster=S_trend;
p_h_ster=p_h;
p_h_s_ster=p_h_s;
p_f_s_ster=p_f_s;
R_k_ster=R_k;
N_ster=N;
W_ster=W;
TBY_ster=TBY;
UIPdev_ster=UIPdev;
R_dev_ster=R_l-R_h;
GDPval_s_ster=GDPval_s;
C_s_ster=C_s;
I_s_ster=I_s;
M_s_ster=M_s;
X_s_ster=X_s;
pi_s_ster=pi_s;
R_f_s_ster=R_f_s;
Y_h_ster=Y_h;
Y_h_s_ster=Y_h_s;
Y_h_total_ster=n*Y_h+(1-n)*Y_h_s;
R_k_s_ster=R_k_s;
N_s_ster=N_s;
W_s_ster=W_s;
Y_f_ster=Y_f;
Y_f_s_ster=Y_f_s;
Y_f_total_ster=n*Y_f+(1-n)*Y_f_s;
tau_r_ster=tau_r;
S_ster=S;
sgross_ratio_ster=exp(sgross_ratio)*100;
igross_ratio_ster=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_ster','C_ster', 'I_ster', 'M_ster', 'X_ster', 'pi_ster', 'Q_ster', 'R_h_ster', 'CAY_ster', 'b_f_ster', 'b_fY_ster', 'TBY_ster', 'S_ster', ...
'UIPdev_ster', 'R_dev_ster', 'GDPval_s_ster','C_s_ster', 'I_s_ster', 'M_s_ster', 'X_s_ster', 'pi_s_ster', 'R_f_s_ster', 'p_h_ster', 'p_h_s_ster', 'S_trend_ster', ...
'p_f_s_ster', 'R_k_ster', 'N_ster', 'W_ster', 'Y_h_ster', 'Y_h_s_ster', 'Y_h_total_ster', 'pi_ster', 'Y_f_ster', 'Y_f_s_ster', 'Y_f_total_ster', 'tau_r_ster',...
'N_s_ster', 'W_s_ster', 'R_k_s_ster', 'sgross_ratio_ster', 'igross_ratio_ster', 'm_ster', '-append')*/

//******** Capital controls and foreign reserve accumulation ********
/*GDPval_ster_nofincon=GDPval
C_ster_nofincon=C;
I_ster_nofincon=I;
m_ster_nofincon=m;
M_ster_nofincon=M;
X_ster_nofincon=X;
pi_ster_nofincon=pi;
Q_ster_nofincon=Q;
R_h_ster_nofincon=R_h;
CAY_ster_nofincon=CAY;
b_f_ster_nofincon=n*b_f;
b_fY_ster_nofincon=b_fY;
S_trend_ster_nofincon=S_trend;
p_h_ster_nofincon=p_h;
p_h_s_ster_nofincon=p_h_s;
p_f_s_ster_nofincon=p_f_s;
R_k_ster_nofincon=R_k;
N_ster_nofincon=N;
W_ster_nofincon=W;
TBY_ster_nofincon=TBY;
UIPdev_ster_nofincon=UIPdev;
R_dev_ster_nofincon=R_l-R_h;
GDPval_s_ster_nofincon=GDPval_s;
C_s_ster_nofincon=C_s;
I_s_ster_nofincon=I_s;
M_s_ster_nofincon=M_s;
X_s_ster_nofincon=X_s;
pi_s_ster_nofincon=pi_s;
R_f_s_ster_nofincon=R_f_s;
Y_h_ster_nofincon=Y_h;
Y_h_s_ster_nofincon=Y_h_s;
Y_h_total_ster_nofincon=n*Y_h+(1-n)*Y_h_s;
R_k_s_ster_nofincon=R_k_s;
N_s_ster_nofincon=N_s;
W_s_ster_nofincon=W_s;
Y_f_ster_nofincon=Y_f;
Y_f_s_ster_nofincon=Y_f_s;
Y_f_total_ster_nofincon=n*Y_f+(1-n)*Y_f_s;
tau_r_ster_nofincon=tau_r;
S_ster_nofincon=S;
sgross_ratio_ster_nofincon=exp(sgross_ratio)*100;
igross_ratio_ster_nofincon=exp(igross_ratio)*100;
fincon_act_ster_nofincon = fincon_act;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_ster_nofincon','C_ster_nofincon', 'I_ster_nofincon', 'M_ster_nofincon', 'X_ster_nofincon', 'pi_ster_nofincon', 'Q_ster_nofincon', 'R_h_ster_nofincon', 'CAY_ster_nofincon', 'b_f_ster_nofincon', 'b_fY_ster_nofincon', 'TBY_ster_nofincon', 'S_ster_nofincon', ...
'UIPdev_ster_nofincon', 'R_dev_ster_nofincon', 'GDPval_s_ster_nofincon','C_s_ster_nofincon', 'I_s_ster_nofincon', 'M_s_ster_nofincon', 'X_s_ster_nofincon', 'pi_s_ster_nofincon', 'R_f_s_ster_nofincon', 'p_h_ster_nofincon', 'p_h_s_ster_nofincon', 'S_trend_ster_nofincon', ...
'p_f_s_ster_nofincon', 'R_k_ster_nofincon', 'N_ster_nofincon', 'W_ster_nofincon', 'Y_h_ster_nofincon', 'Y_h_s_ster_nofincon', 'Y_h_total_ster_nofincon', 'pi_ster_nofincon', 'Y_f_ster_nofincon', 'Y_f_s_ster_nofincon', 'Y_f_total_ster_nofincon', 'tau_r_ster_nofincon',...
'N_s_ster_nofincon', 'W_s_ster_nofincon', 'R_k_s_ster_nofincon', 'sgross_ratio_ster_nofincon', 'igross_ratio_ster_nofincon', 'fincon_act_ster_nofincon', 'm_ster_nofincon', '-append')*/

//********Closed capital account (for private agents + govt) and fixed exchange rate ********
/*GDPval_sterfixedER=GDPval;
C_sterfixedER=C;
I_sterfixedER=I;
M_sterfixedER=M;
X_sterfixedER=X;
pi_sterfixedER=pi;
Q_sterfixedER=Q;
R_h_sterfixedER=R_h;
CAY_sterfixedER=CAY;
S_trend_sterfixedER=S_trend;
p_h_sterfixedER=p_h;
p_h_s_sterfixedER=p_h_s;
p_f_s_sterfixedER=p_f_s;
R_k_sterfixedER=R_k;
N_sterfixedER=N;
W_sterfixedER=W;
TBY_sterfixedER=TBY;
UIPdev_sterfixedER=UIPdev;
R_dev_sterfixedER=R_l-R_h;
GDPval_s_sterfixedER=GDPval_s;
C_s_sterfixedER=C_s;
I_s_sterfixedER=I_s;
M_s_sterfixedER=M_s;
X_s_sterfixedER=X_s;
pi_s_sterfixedER=pi_s;
R_f_s_sterfixedER=R_f_s;
Y_h_sterfixedER=Y_h;
Y_h_s_sterfixedER=Y_h_s;
Y_h_total_sterfixedER=n*Y_h+(1-n)*Y_h_s;
R_k_s_sterfixedER=R_k_s;
N_s_sterfixedER=N_s;
W_s_sterfixedER=W_s;
Y_f_sterfixedER=Y_f;
Y_f_s_sterfixedER=Y_f_s;
Y_f_total_sterfixedER=n*Y_f+(1-n)*Y_f_s;
tau_r_sterfixedER=tau_r;
S_sterfixedER=S;
sgross_ratio_sterfixedER=exp(sgross_ratio)*100;
igross_ratio_sterfixedER=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_sterfixedER','C_sterfixedER', 'I_sterfixedER', 'M_sterfixedER', 'X_sterfixedER', 'pi_sterfixedER', 'Q_sterfixedER', 'R_h_sterfixedER', 'CAY_sterfixedER', 'TBY_sterfixedER', 'S_sterfixedER', ...
'UIPdev_sterfixedER', 'R_dev_sterfixedER', 'GDPval_s_sterfixedER','C_s_sterfixedER', 'I_s_sterfixedER', 'M_s_sterfixedER', 'X_s_sterfixedER', 'pi_s_sterfixedER', 'R_f_s_sterfixedER', 'p_h_sterfixedER', 'p_h_s_sterfixedER', 'S_trend_sterfixedER', ...
'p_f_s_sterfixedER', 'R_k_sterfixedER', 'N_sterfixedER', 'W_sterfixedER', 'Y_h_sterfixedER', 'Y_h_s_sterfixedER', 'Y_h_total_sterfixedER', 'pi_sterfixedER', 'Y_f_sterfixedER', 'Y_f_s_sterfixedER', 'Y_f_total_sterfixedER', 'tau_r_sterfixedER',...
'N_s_sterfixedER', 'W_s_sterfixedER', 'R_k_s_sterfixedER', 'sgross_ratio_sterfixedER', 'igross_ratio_sterfixedER', '-append')*/

//******** Capital controls, foreign exchange interventions and no financial constraints when TFP growth is 2% ********
/*GDPval_nofincon_tfp2=GDPval
C_nofincon_tfp2=C;
I_nofincon_tfp2=I;
M_nofincon_tfp2=M;
X_nofincon_tfp2=X;
pi_nofincon_tfp2=pi;
Q_nofincon_tfp2=Q;
R_h_nofincon_tfp2=R_h;
CAY_nofincon_tfp2=CAY;
b_f_nofincon_tfp2=n*b_f;
b_fY_nofincon_tfp2=b_fY;
S_trend_nofincon_tfp2=S_trend;
p_h_nofincon_tfp2=p_h;
p_h_s_nofincon_tfp2=p_h_s;
p_f_s_nofincon_tfp2=p_f_s;
R_k_nofincon_tfp2=R_k;
N_nofincon_tfp2=N;
W_nofincon_tfp2=W;
TBY_nofincon_tfp2=TBY;
UIPdev_nofincon_tfp2=UIPdev;
R_dev_nofincon_tfp2=R_l-R_h;
GDPval_s_nofincon_tfp2=GDPval_s;
C_s_nofincon_tfp2=C_s;
I_s_nofincon_tfp2=I_s;
M_s_nofincon_tfp2=M_s;
X_s_nofincon_tfp2=X_s;
pi_s_nofincon_tfp2=pi_s;
R_f_s_nofincon_tfp2=R_f_s;
Y_h_nofincon_tfp2=Y_h;
Y_h_s_nofincon_tfp2=Y_h_s;
Y_h_total_nofincon_tfp2=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_tfp2=R_k_s;
N_s_nofincon_tfp2=N_s;
W_s_nofincon_tfp2=W_s;
Y_f_nofincon_tfp2=Y_f;
Y_f_s_nofincon_tfp2=Y_f_s;
Y_f_total_nofincon_tfp2=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_tfp2=tau_r;
S_nofincon_tfp2=S;
sgross_ratio_nofincon_tfp2=exp(sgross_ratio)*100;
igross_ratio_nofincon_tfp2=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_tfp2','C_nofincon_tfp2', 'I_nofincon_tfp2', 'M_nofincon_tfp2', 'X_nofincon_tfp2', 'pi_nofincon_tfp2', 'Q_nofincon_tfp2', 'R_h_nofincon_tfp2', 'CAY_nofincon_tfp2', 'b_f_nofincon_tfp2', 'b_fY_nofincon_tfp2', 'TBY_nofincon_tfp2', 'S_nofincon_tfp2', ...
'UIPdev_nofincon_tfp2', 'R_dev_nofincon_tfp2', 'GDPval_s_nofincon_tfp2','C_s_nofincon_tfp2', 'I_s_nofincon_tfp2', 'M_s_nofincon_tfp2', 'X_s_nofincon_tfp2', 'pi_s_nofincon_tfp2', 'R_f_s_nofincon_tfp2', 'p_h_nofincon_tfp2', 'p_h_s_nofincon_tfp2', 'S_trend_nofincon_tfp2', ...
'p_f_s_nofincon_tfp2', 'R_k_nofincon_tfp2', 'N_nofincon_tfp2', 'W_nofincon_tfp2', 'Y_h_nofincon_tfp2', 'Y_h_s_nofincon_tfp2', 'Y_h_total_nofincon_tfp2', 'pi_nofincon_tfp2', 'Y_f_nofincon_tfp2', 'Y_f_s_nofincon_tfp2', 'Y_f_total_nofincon_tfp2', 'tau_r_nofincon_tfp2',...
'N_s_nofincon_tfp2', 'W_s_nofincon_tfp2', 'R_k_s_nofincon_tfp2', 'sgross_ratio_nofincon_tfp2', 'igross_ratio_nofincon_tfp2', '-append')*/

// ******** Capital controls, foreign exchange interventions when TFP growth is the same as the US ********
/*GDPval_nofincon_tfpUS=GDPval
C_nofincon_tfpUS=C;
I_nofincon_tfpUS=I;
M_nofincon_tfpUS=M;
X_nofincon_tfpUS=X;
pi_nofincon_tfpUS=pi;
Q_nofincon_tfpUS=Q;
R_h_nofincon_tfpUS=R_h;
CAY_nofincon_tfpUS=CAY;
b_f_nofincon_tfpUS=n*b_f;
b_fY_nofincon_tfpUS=b_fY;
S_trend_nofincon_tfpUS=S_trend;
p_h_nofincon_tfpUS=p_h;
p_h_s_nofincon_tfpUS=p_h_s;
p_f_s_nofincon_tfpUS=p_f_s;
R_k_nofincon_tfpUS=R_k;
N_nofincon_tfpUS=N;
W_nofincon_tfpUS=W;
TBY_nofincon_tfpUS=TBY;
UIPdev_nofincon_tfpUS=UIPdev;
R_dev_nofincon_tfpUS=R_l-R_h;
GDPval_s_nofincon_tfpUS=GDPval_s;
C_s_nofincon_tfpUS=C_s;
I_s_nofincon_tfpUS=I_s;
M_s_nofincon_tfpUS=M_s;
X_s_nofincon_tfpUS=X_s;
pi_s_nofincon_tfpUS=pi_s;
R_f_s_nofincon_tfpUS=R_f_s;
Y_h_nofincon_tfpUS=Y_h;
Y_h_s_nofincon_tfpUS=Y_h_s;
Y_h_total_nofincon_tfpUS=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_tfpUS=R_k_s;
N_s_nofincon_tfpUS=N_s;
W_s_nofincon_tfpUS=W_s;
Y_f_nofincon_tfpUS=Y_f;
Y_f_s_nofincon_tfpUS=Y_f_s;
Y_f_total_nofincon_tfpUS=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_tfpUS=tau_r;
S_nofincon_tfpUS=S;
sgross_ratio_nofincon_tfpUS=exp(sgross_ratio)*100;
igross_ratio_nofincon_tfpUS=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_tfpUS','C_nofincon_tfpUS', 'I_nofincon_tfpUS', 'M_nofincon_tfpUS', 'X_nofincon_tfpUS', 'pi_nofincon_tfpUS', 'Q_nofincon_tfpUS', 'R_h_nofincon_tfpUS', 'CAY_nofincon_tfpUS', 'b_f_nofincon_tfpUS', 'b_fY_nofincon_tfpUS', 'TBY_nofincon_tfpUS', 'S_nofincon_tfpUS', ...
'UIPdev_nofincon_tfpUS', 'R_dev_nofincon_tfpUS', 'GDPval_s_nofincon_tfpUS','C_s_nofincon_tfpUS', 'I_s_nofincon_tfpUS', 'M_s_nofincon_tfpUS', 'X_s_nofincon_tfpUS', 'pi_s_nofincon_tfpUS', 'R_f_s_nofincon_tfpUS', 'p_h_nofincon_tfpUS', 'p_h_s_nofincon_tfpUS', 'S_trend_nofincon_tfpUS', ...
'p_f_s_nofincon_tfpUS', 'R_k_nofincon_tfpUS', 'N_nofincon_tfpUS', 'W_nofincon_tfpUS', 'Y_h_nofincon_tfpUS', 'Y_h_s_nofincon_tfpUS', 'Y_h_total_nofincon_tfpUS', 'pi_nofincon_tfpUS', 'Y_f_nofincon_tfpUS', 'Y_f_s_nofincon_tfpUS', 'Y_f_total_nofincon_tfpUS', 'tau_r_nofincon_tfpUS',...
'N_s_nofincon_tfpUS', 'W_s_nofincon_tfpUS', 'R_k_s_nofincon_tfpUS', 'sgross_ratio_nofincon_tfpUS', 'igross_ratio_nofincon_tfpUS', '-append')*/

//******** Capital controls, foreign exchange interventions when n=0.125 (size of home country is halved) ********
/*GDPval_ster_nofincon_nh=GDPval
C_ster_nofincon_nh=C;
I_ster_nofincon_nh=I;
M_ster_nofincon_nh=M;
X_ster_nofincon_nh=X;
pi_ster_nofincon_nh=pi;
Q_ster_nofincon_nh=Q;
R_h_ster_nofincon_nh=R_h;
CAY_ster_nofincon_nh=CAY;
b_f_ster_nofincon_nh=n*b_f;
b_fY_ster_nofincon_nh=b_fY;
S_trend_ster_nofincon_nh=S_trend;
p_h_ster_nofincon_nh=p_h;
p_h_s_ster_nofincon_nh=p_h_s;
p_f_s_ster_nofincon_nh=p_f_s;
R_k_ster_nofincon_nh=R_k;
N_ster_nofincon_nh=N;
W_ster_nofincon_nh=W;
TBY_ster_nofincon_nh=TBY;
UIPdev_ster_nofincon_nh=UIPdev;
R_dev_ster_nofincon_nh=R_l-R_h;
GDPval_s_ster_nofincon_nh=GDPval_s;
C_s_ster_nofincon_nh=C_s;
I_s_ster_nofincon_nh=I_s;
M_s_ster_nofincon_nh=M_s;
X_s_ster_nofincon_nh=X_s;
pi_s_ster_nofincon_nh=pi_s;
R_f_s_ster_nofincon_nh=R_f_s;
Y_h_ster_nofincon_nh=Y_h;
Y_h_s_ster_nofincon_nh=Y_h_s;
Y_h_total_ster_nofincon_nh=n*Y_h+(1-n)*Y_h_s;
R_k_s_ster_nofincon_nh=R_k_s;
N_s_ster_nofincon_nh=N_s;
W_s_ster_nofincon_nh=W_s;
Y_f_ster_nofincon_nh=Y_f;
Y_f_s_ster_nofincon_nh=Y_f_s;
Y_f_total_ster_nofincon_nh=n*Y_f+(1-n)*Y_f_s;
tau_r_ster_nofincon_nh=tau_r;
S_ster_nofincon_nh=S;
sgross_ratio_ster_nofincon_nh=exp(sgross_ratio)*100;
igross_ratio_ster_nofincon_nh=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_ster_nofincon_nh','C_ster_nofincon_nh', 'I_ster_nofincon_nh', 'M_ster_nofincon_nh', 'X_ster_nofincon_nh', 'pi_ster_nofincon_nh', 'Q_ster_nofincon_nh', 'R_h_ster_nofincon_nh', 'CAY_ster_nofincon_nh', 'b_f_ster_nofincon_nh', 'b_fY_ster_nofincon_nh', 'TBY_ster_nofincon_nh', 'S_ster_nofincon_nh', ...
'UIPdev_ster_nofincon_nh', 'R_dev_ster_nofincon_nh', 'GDPval_s_ster_nofincon_nh','C_s_ster_nofincon_nh', 'I_s_ster_nofincon_nh', 'M_s_ster_nofincon_nh', 'X_s_ster_nofincon_nh', 'pi_s_ster_nofincon_nh', 'R_f_s_ster_nofincon_nh', 'p_h_ster_nofincon_nh', 'p_h_s_ster_nofincon_nh', 'S_trend_ster_nofincon_nh', ...
'p_f_s_ster_nofincon_nh', 'R_k_ster_nofincon_nh', 'N_ster_nofincon_nh', 'W_ster_nofincon_nh', 'Y_h_ster_nofincon_nh', 'Y_h_s_ster_nofincon_nh', 'Y_h_total_ster_nofincon_nh', 'pi_ster_nofincon_nh', 'Y_f_ster_nofincon_nh', 'Y_f_s_ster_nofincon_nh', 'Y_f_total_ster_nofincon_nh', 'tau_r_ster_nofincon_nh',...
'N_s_ster_nofincon_nh', 'W_s_ster_nofincon_nh', 'R_k_s_ster_nofincon_nh', 'sgross_ratio_ster_nofincon_nh', 'igross_ratio_ster_nofincon_nh', '-append')*/

//******** Capital controls, foreign exchange interventions when n=0.01 (home country is a SOE) ********
/*GDPval_ster_nofincon_n1=GDPval
C_ster_nofincon_n1=C;
I_ster_nofincon_n1=I;
M_ster_nofincon_n1=M;
X_ster_nofincon_n1=X;
pi_ster_nofincon_n1=pi;
Q_ster_nofincon_n1=Q;
R_h_ster_nofincon_n1=R_h;
CAY_ster_nofincon_n1=CAY;
b_f_ster_nofincon_n1=n*b_f;
b_fY_ster_nofincon_n1=b_fY;
S_trend_ster_nofincon_n1=S_trend;
p_h_ster_nofincon_n1=p_h;
p_h_s_ster_nofincon_n1=p_h_s;
p_f_s_ster_nofincon_n1=p_f_s;
R_k_ster_nofincon_n1=R_k;
N_ster_nofincon_n1=N;
W_ster_nofincon_n1=W;
TBY_ster_nofincon_n1=TBY;
UIPdev_ster_nofincon_n1=UIPdev;
R_dev_ster_nofincon_n1=R_l-R_h;
GDPval_s_ster_nofincon_n1=GDPval_s;
C_s_ster_nofincon_n1=C_s;
I_s_ster_nofincon_n1=I_s;
M_s_ster_nofincon_n1=M_s;
X_s_ster_nofincon_n1=X_s;
pi_s_ster_nofincon_n1=pi_s;
R_f_s_ster_nofincon_n1=R_f_s;
Y_h_ster_nofincon_n1=Y_h;
Y_h_s_ster_nofincon_n1=Y_h_s;
Y_h_total_ster_nofincon_n1=n*Y_h+(1-n)*Y_h_s;
R_k_s_ster_nofincon_n1=R_k_s;
N_s_ster_nofincon_n1=N_s;
W_s_ster_nofincon_n1=W_s;
Y_f_ster_nofincon_n1=Y_f;
Y_f_s_ster_nofincon_n1=Y_f_s;
Y_f_total_ster_nofincon_n1=n*Y_f+(1-n)*Y_f_s;
tau_r_ster_nofincon_n1=tau_r;
S_ster_nofincon_n1=S;
sgross_ratio_ster_nofincon_n1=exp(sgross_ratio)*100;
igross_ratio_ster_nofincon_n1=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_ster_nofincon_n1','C_ster_nofincon_n1', 'I_ster_nofincon_n1', 'M_ster_nofincon_n1', 'X_ster_nofincon_n1', 'pi_ster_nofincon_n1', 'Q_ster_nofincon_n1', 'R_h_ster_nofincon_n1', 'CAY_ster_nofincon_n1', 'b_f_ster_nofincon_n1', 'b_fY_ster_nofincon_n1', 'TBY_ster_nofincon_n1', 'S_ster_nofincon_n1', ...
'UIPdev_ster_nofincon_n1', 'R_dev_ster_nofincon_n1', 'GDPval_s_ster_nofincon_n1','C_s_ster_nofincon_n1', 'I_s_ster_nofincon_n1', 'M_s_ster_nofincon_n1', 'X_s_ster_nofincon_n1', 'pi_s_ster_nofincon_n1', 'R_f_s_ster_nofincon_n1', 'p_h_ster_nofincon_n1', 'p_h_s_ster_nofincon_n1', 'S_trend_ster_nofincon_n1', ...
'p_f_s_ster_nofincon_n1', 'R_k_ster_nofincon_n1', 'N_ster_nofincon_n1', 'W_ster_nofincon_n1', 'Y_h_ster_nofincon_n1', 'Y_h_s_ster_nofincon_n1', 'Y_h_total_ster_nofincon_n1', 'pi_ster_nofincon_n1', 'Y_f_ster_nofincon_n1', 'Y_f_s_ster_nofincon_n1', 'Y_f_total_ster_nofincon_n1', 'tau_r_ster_nofincon_n1',...
'N_s_ster_nofincon_n1', 'W_s_ster_nofincon_n1', 'R_k_s_ster_nofincon_n1', 'sgross_ratio_ster_nofincon_n1', 'igross_ratio_ster_nofincon_n1', '-append')*/

//******** Capital controls, foreign exchange interventions and no financial constraints when monetary policy follows Chen ********
/*GDPval_nofincon_MPChen=GDPval
C_nofincon_MPChen=C;
I_nofincon_MPChen=I;
M_nofincon_MPChen=M;
m_nofincon_MPChen=m;
X_nofincon_MPChen=X;
pi_nofincon_MPChen=pi;
Q_nofincon_MPChen=Q;
R_h_nofincon_MPChen=R_h;
CAY_nofincon_MPChen=CAY;
b_f_nofincon_MPChen=n*b_f;
b_fY_nofincon_MPChen=b_fY;
S_trend_nofincon_MPChen=S_trend;
p_h_nofincon_MPChen=p_h;
p_h_s_nofincon_MPChen=p_h_s;
p_f_s_nofincon_MPChen=p_f_s;
R_k_nofincon_MPChen=R_k;
N_nofincon_MPChen=N;
W_nofincon_MPChen=W;
TBY_nofincon_MPChen=TBY;
UIPdev_nofincon_MPChen=UIPdev;
R_dev_nofincon_MPChen=R_l-R_h;
GDPval_s_nofincon_MPChen=GDPval_s;
C_s_nofincon_MPChen=C_s;
I_s_nofincon_MPChen=I_s;
M_s_nofincon_MPChen=M_s;
X_s_nofincon_MPChen=X_s;
pi_s_nofincon_MPChen=pi_s;
R_f_s_nofincon_MPChen=R_f_s;
Y_h_nofincon_MPChen=Y_h;
Y_h_s_nofincon_MPChen=Y_h_s;
Y_h_total_nofincon_MPChen=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_MPChen=R_k_s;
N_s_nofincon_MPChen=N_s;
W_s_nofincon_MPChen=W_s;
Y_f_nofincon_MPChen=Y_f;
Y_f_s_nofincon_MPChen=Y_f_s;
Y_f_total_nofincon_MPChen=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_MPChen=tau_r;
S_nofincon_MPChen=S;
sgross_ratio_nofincon_MPChen=exp(sgross_ratio)*100;
igross_ratio_nofincon_MPChen=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_MPChen','C_nofincon_MPChen', 'I_nofincon_MPChen', 'M_nofincon_MPChen', 'X_nofincon_MPChen', 'pi_nofincon_MPChen', 'Q_nofincon_MPChen', 'R_h_nofincon_MPChen', 'CAY_nofincon_MPChen', 'b_f_nofincon_MPChen', 'b_fY_nofincon_MPChen', 'TBY_nofincon_MPChen', 'S_nofincon_MPChen', ...
'UIPdev_nofincon_MPChen', 'R_dev_nofincon_MPChen', 'GDPval_s_nofincon_MPChen','C_s_nofincon_MPChen', 'I_s_nofincon_MPChen', 'M_s_nofincon_MPChen', 'X_s_nofincon_MPChen', 'pi_s_nofincon_MPChen', 'R_f_s_nofincon_MPChen', 'p_h_nofincon_MPChen', 'p_h_s_nofincon_MPChen', 'S_trend_nofincon_MPChen', ...
'p_f_s_nofincon_MPChen', 'R_k_nofincon_MPChen', 'N_nofincon_MPChen', 'W_nofincon_MPChen', 'Y_h_nofincon_MPChen', 'Y_h_s_nofincon_MPChen', 'Y_h_total_nofincon_MPChen', 'pi_nofincon_MPChen', 'Y_f_nofincon_MPChen', 'Y_f_s_nofincon_MPChen', 'Y_f_total_nofincon_MPChen', 'tau_r_nofincon_MPChen',...
'N_s_nofincon_MPChen', 'W_s_nofincon_MPChen', 'R_k_s_nofincon_MPChen', 'sgross_ratio_nofincon_MPChen', 'igross_ratio_nofincon_MPChen', 'm_nofincon_MPChen', '-append')*/

//******** Capital controls, foreign exchange interventions and no financial constraints when monetary policy follows Zhang ********
/*GDPval_nofincon_MPZhang=GDPval
C_nofincon_MPZhang=C;
I_nofincon_MPZhang=I;
M_nofincon_MPZhang=M;
m_nofincon_MPZhang=m;
X_nofincon_MPZhang=X;
pi_nofincon_MPZhang=pi;
Q_nofincon_MPZhang=Q;
R_h_nofincon_MPZhang=R_h;
CAY_nofincon_MPZhang=CAY;
b_f_nofincon_MPZhang=n*b_f;
b_fY_nofincon_MPZhang=b_fY;
S_trend_nofincon_MPZhang=S_trend;
p_h_nofincon_MPZhang=p_h;
p_h_s_nofincon_MPZhang=p_h_s;
p_f_s_nofincon_MPZhang=p_f_s;
R_k_nofincon_MPZhang=R_k;
N_nofincon_MPZhang=N;
W_nofincon_MPZhang=W;
TBY_nofincon_MPZhang=TBY;
UIPdev_nofincon_MPZhang=UIPdev;
R_dev_nofincon_MPZhang=R_l-R_h;
GDPval_s_nofincon_MPZhang=GDPval_s;
C_s_nofincon_MPZhang=C_s;
I_s_nofincon_MPZhang=I_s;
M_s_nofincon_MPZhang=M_s;
X_s_nofincon_MPZhang=X_s;
pi_s_nofincon_MPZhang=pi_s;
R_f_s_nofincon_MPZhang=R_f_s;
Y_h_nofincon_MPZhang=Y_h;
Y_h_s_nofincon_MPZhang=Y_h_s;
Y_h_total_nofincon_MPZhang=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_MPZhang=R_k_s;
N_s_nofincon_MPZhang=N_s;
W_s_nofincon_MPZhang=W_s;
Y_f_nofincon_MPZhang=Y_f;
Y_f_s_nofincon_MPZhang=Y_f_s;
Y_f_total_nofincon_MPZhang=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_MPZhang=tau_r;
S_nofincon_MPZhang=S;
sgross_ratio_nofincon_MPZhang=exp(sgross_ratio)*100;
igross_ratio_nofincon_MPZhang=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_MPZhang','C_nofincon_MPZhang', 'I_nofincon_MPZhang', 'M_nofincon_MPZhang', 'X_nofincon_MPZhang', 'pi_nofincon_MPZhang', 'Q_nofincon_MPZhang', 'R_h_nofincon_MPZhang', 'CAY_nofincon_MPZhang', 'b_f_nofincon_MPZhang', 'b_fY_nofincon_MPZhang', 'TBY_nofincon_MPZhang', 'S_nofincon_MPZhang', ...
'UIPdev_nofincon_MPZhang', 'R_dev_nofincon_MPZhang', 'GDPval_s_nofincon_MPZhang','C_s_nofincon_MPZhang', 'I_s_nofincon_MPZhang', 'M_s_nofincon_MPZhang', 'X_s_nofincon_MPZhang', 'pi_s_nofincon_MPZhang', 'R_f_s_nofincon_MPZhang', 'p_h_nofincon_MPZhang', 'p_h_s_nofincon_MPZhang', 'S_trend_nofincon_MPZhang', ...
'p_f_s_nofincon_MPZhang', 'R_k_nofincon_MPZhang', 'N_nofincon_MPZhang', 'W_nofincon_MPZhang', 'Y_h_nofincon_MPZhang', 'Y_h_s_nofincon_MPZhang', 'Y_h_total_nofincon_MPZhang', 'pi_nofincon_MPZhang', 'Y_f_nofincon_MPZhang', 'Y_f_s_nofincon_MPZhang', 'Y_f_total_nofincon_MPZhang', 'tau_r_nofincon_MPZhang',...
'N_s_nofincon_MPZhang', 'W_s_nofincon_MPZhang', 'R_k_s_nofincon_MPZhang', 'sgross_ratio_nofincon_MPZhang', 'igross_ratio_nofincon_MPZhang', 'm_nofincon_MPZhang', '-append')*/

//******** Capital controls, foreign exchange interventions when coefficient on money in the utility function is the same as the US (phi_m=phi_m_s)
/*GDPval_nofincon_phimUS=GDPval
C_nofincon_phimUS=C;
I_nofincon_phimUS=I;
M_nofincon_phimUS=M;
X_nofincon_phimUS=X;
pi_nofincon_phimUS=pi;
Q_nofincon_phimUS=Q;
R_h_nofincon_phimUS=R_h;
CAY_nofincon_phimUS=CAY;
b_f_nofincon_phimUS=n*b_f;
b_fY_nofincon_phimUS=b_fY;
S_trend_nofincon_phimUS=S_trend;
p_h_nofincon_phimUS=p_h;
p_h_s_nofincon_phimUS=p_h_s;
p_f_s_nofincon_phimUS=p_f_s;
R_k_nofincon_phimUS=R_k;
N_nofincon_phimUS=N;
W_nofincon_phimUS=W;
TBY_nofincon_phimUS=TBY;
UIPdev_nofincon_phimUS=UIPdev;
R_dev_nofincon_phimUS=R_l-R_h;
GDPval_s_nofincon_phimUS=GDPval_s;
C_s_nofincon_phimUS=C_s;
I_s_nofincon_phimUS=I_s;
M_s_nofincon_phimUS=M_s;
X_s_nofincon_phimUS=X_s;
pi_s_nofincon_phimUS=pi_s;
R_f_s_nofincon_phimUS=R_f_s;
Y_h_nofincon_phimUS=Y_h;
Y_h_s_nofincon_phimUS=Y_h_s;
Y_h_total_nofincon_phimUS=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_phimUS=R_k_s;
N_s_nofincon_phimUS=N_s;
W_s_nofincon_phimUS=W_s;
Y_f_nofincon_phimUS=Y_f;
Y_f_s_nofincon_phimUS=Y_f_s;
Y_f_total_nofincon_phimUS=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_phimUS=tau_r;
S_nofincon_phimUS=S;
sgross_ratio_nofincon_phimUS=exp(sgross_ratio)*100;
igross_ratio_nofincon_phimUS=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_phimUS','C_nofincon_phimUS', 'I_nofincon_phimUS', 'M_nofincon_phimUS', 'X_nofincon_phimUS', 'pi_nofincon_phimUS', 'Q_nofincon_phimUS', 'R_h_nofincon_phimUS', 'CAY_nofincon_phimUS', 'b_f_nofincon_phimUS', 'b_fY_nofincon_phimUS', 'TBY_nofincon_phimUS', 'S_nofincon_phimUS', ...
'UIPdev_nofincon_phimUS', 'R_dev_nofincon_phimUS', 'GDPval_s_nofincon_phimUS','C_s_nofincon_phimUS', 'I_s_nofincon_phimUS', 'M_s_nofincon_phimUS', 'X_s_nofincon_phimUS', 'pi_s_nofincon_phimUS', 'R_f_s_nofincon_phimUS', 'p_h_nofincon_phimUS', 'p_h_s_nofincon_phimUS', 'S_trend_nofincon_phimUS', ...
'p_f_s_nofincon_phimUS', 'R_k_nofincon_phimUS', 'N_nofincon_phimUS', 'W_nofincon_phimUS', 'Y_h_nofincon_phimUS', 'Y_h_s_nofincon_phimUS', 'Y_h_total_nofincon_phimUS', 'pi_nofincon_phimUS', 'Y_f_nofincon_phimUS', 'Y_f_s_nofincon_phimUS', 'Y_f_total_nofincon_phimUS', 'tau_r_nofincon_phimUS',...
'N_s_nofincon_phimUS', 'W_s_nofincon_phimUS', 'R_k_s_nofincon_phimUS', 'sgross_ratio_nofincon_phimUS', 'igross_ratio_nofincon_phimUS', '-append')*/

//******** Capital controls, foreign exchange interventions when delta=delta_s ********
/*GDPval_nofincon_samedelta=GDPval
C_nofincon_samedelta=C;
I_nofincon_samedelta=I;
M_nofincon_samedelta=M;
X_nofincon_samedelta=X;
pi_nofincon_samedelta=pi;
Q_nofincon_samedelta=Q;
R_h_nofincon_samedelta=R_h;
CAY_nofincon_samedelta=CAY;
b_f_nofincon_samedelta=n*b_f;
b_fY_nofincon_samedelta=b_fY;
S_trend_nofincon_samedelta=S_trend;
p_h_nofincon_samedelta=p_h;
p_h_s_nofincon_samedelta=p_h_s;
p_f_s_nofincon_samedelta=p_f_s;
R_k_nofincon_samedelta=R_k;
N_nofincon_samedelta=N;
W_nofincon_samedelta=W;
TBY_nofincon_samedelta=TBY;
UIPdev_nofincon_samedelta=UIPdev;
R_dev_nofincon_samedelta=R_l-R_h;
GDPval_s_nofincon_samedelta=GDPval_s;
C_s_nofincon_samedelta=C_s;
I_s_nofincon_samedelta=I_s;
M_s_nofincon_samedelta=M_s;
X_s_nofincon_samedelta=X_s;
pi_s_nofincon_samedelta=pi_s;
R_f_s_nofincon_samedelta=R_f_s;
Y_h_nofincon_samedelta=Y_h;
Y_h_s_nofincon_samedelta=Y_h_s;
Y_h_total_nofincon_samedelta=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_samedelta=R_k_s;
N_s_nofincon_samedelta=N_s;
W_s_nofincon_samedelta=W_s;
Y_f_nofincon_samedelta=Y_f;
Y_f_s_nofincon_samedelta=Y_f_s;
Y_f_total_nofincon_samedelta=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_samedelta=tau_r;
S_nofincon_samedelta=S;
sgross_ratio_nofincon_samedelta=exp(sgross_ratio)*100;
igross_ratio_nofincon_samedelta=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_samedelta','C_nofincon_samedelta', 'I_nofincon_samedelta', 'M_nofincon_samedelta', 'X_nofincon_samedelta', 'pi_nofincon_samedelta', 'Q_nofincon_samedelta', 'R_h_nofincon_samedelta', 'CAY_nofincon_samedelta', 'b_f_nofincon_samedelta', 'b_fY_nofincon_samedelta', 'TBY_nofincon_samedelta', 'S_nofincon_samedelta', ...
'UIPdev_nofincon_samedelta', 'R_dev_nofincon_samedelta', 'GDPval_s_nofincon_samedelta','C_s_nofincon_samedelta', 'I_s_nofincon_samedelta', 'M_s_nofincon_samedelta', 'X_s_nofincon_samedelta', 'pi_s_nofincon_samedelta', 'R_f_s_nofincon_samedelta', 'p_h_nofincon_samedelta', 'p_h_s_nofincon_samedelta', 'S_trend_nofincon_samedelta', ...
'p_f_s_nofincon_samedelta', 'R_k_nofincon_samedelta', 'N_nofincon_samedelta', 'W_nofincon_samedelta', 'Y_h_nofincon_samedelta', 'Y_h_s_nofincon_samedelta', 'Y_h_total_nofincon_samedelta', 'pi_nofincon_samedelta', 'Y_f_nofincon_samedelta', 'Y_f_s_nofincon_samedelta', 'Y_f_total_nofincon_samedelta', 'tau_r_nofincon_samedelta',...
'N_s_nofincon_samedelta', 'W_s_nofincon_samedelta', 'R_k_s_nofincon_samedelta', 'sgross_ratio_nofincon_samedelta', 'igross_ratio_nofincon_samedelta', '-append')*/

//******** Capital controls, foreign exchange interventions when eta=0.1 ********
/*GDPval_nofincon_eta01=GDPval
C_nofincon_eta01=C;
I_nofincon_eta01=I;
M_nofincon_eta01=M;
X_nofincon_eta01=X;
pi_nofincon_eta01=pi;
Q_nofincon_eta01=Q;
R_h_nofincon_eta01=R_h;
CAY_nofincon_eta01=CAY;
b_f_nofincon_eta01=n*b_f;
b_fY_nofincon_eta01=b_fY;
S_trend_nofincon_eta01=S_trend;
p_h_nofincon_eta01=p_h;
p_h_s_nofincon_eta01=p_h_s;
p_f_s_nofincon_eta01=p_f_s;
R_k_nofincon_eta01=R_k;
N_nofincon_eta01=N;
W_nofincon_eta01=W;
TBY_nofincon_eta01=TBY;
UIPdev_nofincon_eta01=UIPdev;
R_dev_nofincon_eta01=R_l-R_h;
GDPval_s_nofincon_eta01=GDPval_s;
C_s_nofincon_eta01=C_s;
I_s_nofincon_eta01=I_s;
M_s_nofincon_eta01=M_s;
X_s_nofincon_eta01=X_s;
pi_s_nofincon_eta01=pi_s;
R_f_s_nofincon_eta01=R_f_s;
Y_h_nofincon_eta01=Y_h;
Y_h_s_nofincon_eta01=Y_h_s;
Y_h_total_nofincon_eta01=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_eta01=R_k_s;
N_s_nofincon_eta01=N_s;
W_s_nofincon_eta01=W_s;
Y_f_nofincon_eta01=Y_f;
Y_f_s_nofincon_eta01=Y_f_s;
Y_f_total_nofincon_eta01=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_eta01=tau_r;
S_nofincon_eta01=S;
sgross_ratio_nofincon_eta01=exp(sgross_ratio)*100;
igross_ratio_nofincon_eta01=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_eta01','C_nofincon_eta01', 'I_nofincon_eta01', 'M_nofincon_eta01', 'X_nofincon_eta01', 'pi_nofincon_eta01', 'Q_nofincon_eta01', 'R_h_nofincon_eta01', 'CAY_nofincon_eta01', 'b_f_nofincon_eta01', 'b_fY_nofincon_eta01', 'TBY_nofincon_eta01', 'S_nofincon_eta01', ...
'UIPdev_nofincon_eta01', 'R_dev_nofincon_eta01', 'GDPval_s_nofincon_eta01','C_s_nofincon_eta01', 'I_s_nofincon_eta01', 'M_s_nofincon_eta01', 'X_s_nofincon_eta01', 'pi_s_nofincon_eta01', 'R_f_s_nofincon_eta01', 'p_h_nofincon_eta01', 'p_h_s_nofincon_eta01', 'S_trend_nofincon_eta01', ...
'p_f_s_nofincon_eta01', 'R_k_nofincon_eta01', 'N_nofincon_eta01', 'W_nofincon_eta01', 'Y_h_nofincon_eta01', 'Y_h_s_nofincon_eta01', 'Y_h_total_nofincon_eta01', 'pi_nofincon_eta01', 'Y_f_nofincon_eta01', 'Y_f_s_nofincon_eta01', 'Y_f_total_nofincon_eta01', 'tau_r_nofincon_eta01',...
'N_s_nofincon_eta01', 'W_s_nofincon_eta01', 'R_k_s_nofincon_eta01', 'sgross_ratio_nofincon_eta01', 'igross_ratio_nofincon_eta01', '-append')*/

//******** Capital controls, foreign exchange interventions when eta=10 ********
/*GDPval_nofincon_eta10=GDPval
C_nofincon_eta10=C;
I_nofincon_eta10=I;
M_nofincon_eta10=M;
X_nofincon_eta10=X;
pi_nofincon_eta10=pi;
Q_nofincon_eta10=Q;
R_h_nofincon_eta10=R_h;
CAY_nofincon_eta10=CAY;
b_f_nofincon_eta10=n*b_f;
b_fY_nofincon_eta10=b_fY;
S_trend_nofincon_eta10=S_trend;
p_h_nofincon_eta10=p_h;
p_h_s_nofincon_eta10=p_h_s;
p_f_s_nofincon_eta10=p_f_s;
R_k_nofincon_eta10=R_k;
N_nofincon_eta10=N;
W_nofincon_eta10=W;
TBY_nofincon_eta10=TBY;
UIPdev_nofincon_eta10=UIPdev;
R_dev_nofincon_eta10=R_l-R_h;
GDPval_s_nofincon_eta10=GDPval_s;
C_s_nofincon_eta10=C_s;
I_s_nofincon_eta10=I_s;
M_s_nofincon_eta10=M_s;
X_s_nofincon_eta10=X_s;
pi_s_nofincon_eta10=pi_s;
R_f_s_nofincon_eta10=R_f_s;
Y_h_nofincon_eta10=Y_h;
Y_h_s_nofincon_eta10=Y_h_s;
Y_h_total_nofincon_eta10=n*Y_h+(1-n)*Y_h_s;
R_k_s_nofincon_eta10=R_k_s;
N_s_nofincon_eta10=N_s;
W_s_nofincon_eta10=W_s;
Y_f_nofincon_eta10=Y_f;
Y_f_s_nofincon_eta10=Y_f_s;
Y_f_total_nofincon_eta10=n*Y_f+(1-n)*Y_f_s;
tau_r_nofincon_eta10=tau_r;
S_nofincon_eta10=S;
sgross_ratio_nofincon_eta10=exp(sgross_ratio)*100;
igross_ratio_nofincon_eta10=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_nofincon_eta10','C_nofincon_eta10', 'I_nofincon_eta10', 'M_nofincon_eta10', 'X_nofincon_eta10', 'pi_nofincon_eta10', 'Q_nofincon_eta10', 'R_h_nofincon_eta10', 'CAY_nofincon_eta10', 'b_f_nofincon_eta10', 'b_fY_nofincon_eta10', 'TBY_nofincon_eta10', 'S_nofincon_eta10', ...
'UIPdev_nofincon_eta10', 'R_dev_nofincon_eta10', 'GDPval_s_nofincon_eta10','C_s_nofincon_eta10', 'I_s_nofincon_eta10', 'M_s_nofincon_eta10', 'X_s_nofincon_eta10', 'pi_s_nofincon_eta10', 'R_f_s_nofincon_eta10', 'p_h_nofincon_eta10', 'p_h_s_nofincon_eta10', 'S_trend_nofincon_eta10', ...
'p_f_s_nofincon_eta10', 'R_k_nofincon_eta10', 'N_nofincon_eta10', 'W_nofincon_eta10', 'Y_h_nofincon_eta10', 'Y_h_s_nofincon_eta10', 'Y_h_total_nofincon_eta10', 'pi_nofincon_eta10', 'Y_f_nofincon_eta10', 'Y_f_s_nofincon_eta10', 'Y_f_total_nofincon_eta10', 'tau_r_nofincon_eta10',...
'N_s_nofincon_eta10', 'W_s_nofincon_eta10', 'R_k_s_nofincon_eta10', 'sgross_ratio_nofincon_eta10', 'igross_ratio_nofincon_eta10', '-append')*/

//******** Capital controls, foreign exchange interventions when bfs=1.45 ********
/*GDPval_ster_nofincon_bfslow=GDPval
C_ster_nofincon_bfslow=C;
I_ster_nofincon_bfslow=I;
M_ster_nofincon_bfslow=M;
X_ster_nofincon_bfslow=X;
pi_ster_nofincon_bfslow=pi;
Q_ster_nofincon_bfslow=Q;
R_h_ster_nofincon_bfslow=R_h;
CAY_ster_nofincon_bfslow=CAY;
b_f_ster_nofincon_bfslow=n*b_f;
b_fY_ster_nofincon_bfslow=b_fY;
S_trend_ster_nofincon_bfslow=S_trend;
p_h_ster_nofincon_bfslow=p_h;
p_h_s_ster_nofincon_bfslow=p_h_s;
p_f_s_ster_nofincon_bfslow=p_f_s;
R_k_ster_nofincon_bfslow=R_k;
N_ster_nofincon_bfslow=N;
W_ster_nofincon_bfslow=W;
TBY_ster_nofincon_bfslow=TBY;
UIPdev_ster_nofincon_bfslow=UIPdev;
R_dev_ster_nofincon_bfslow=R_l-R_h;
GDPval_s_ster_nofincon_bfslow=GDPval_s;
C_s_ster_nofincon_bfslow=C_s;
I_s_ster_nofincon_bfslow=I_s;
M_s_ster_nofincon_bfslow=M_s;
X_s_ster_nofincon_bfslow=X_s;
pi_s_ster_nofincon_bfslow=pi_s;
R_f_s_ster_nofincon_bfslow=R_f_s;
Y_h_ster_nofincon_bfslow=Y_h;
Y_h_s_ster_nofincon_bfslow=Y_h_s;
Y_h_total_ster_nofincon_bfslow=n*Y_h+(1-n)*Y_h_s;
R_k_s_ster_nofincon_bfslow=R_k_s;
N_s_ster_nofincon_bfslow=N_s;
W_s_ster_nofincon_bfslow=W_s;
Y_f_ster_nofincon_bfslow=Y_f;
Y_f_s_ster_nofincon_bfslow=Y_f_s;
Y_f_total_ster_nofincon_bfslow=n*Y_f+(1-n)*Y_f_s;
tau_r_ster_nofincon_bfslow=tau_r;
S_ster_nofincon_bfslow=S;
sgross_ratio_ster_nofincon_bfslow=exp(sgross_ratio)*100;
igross_ratio_ster_nofincon_bfslow=exp(igross_ratio)*100;
save('C:\Users\z3504163\Dropbox\Two country\NewIII\results.mat','GDPval_ster_nofincon_bfslow','C_ster_nofincon_bfslow', 'I_ster_nofincon_bfslow', 'M_ster_nofincon_bfslow', 'X_ster_nofincon_bfslow', 'pi_ster_nofincon_bfslow', 'Q_ster_nofincon_bfslow', 'R_h_ster_nofincon_bfslow', 'CAY_ster_nofincon_bfslow', 'b_f_ster_nofincon_bfslow', 'b_fY_ster_nofincon_bfslow', 'TBY_ster_nofincon_bfslow', 'S_ster_nofincon_bfslow', ...
'UIPdev_ster_nofincon_bfslow', 'R_dev_ster_nofincon_bfslow', 'GDPval_s_ster_nofincon_bfslow','C_s_ster_nofincon_bfslow', 'I_s_ster_nofincon_bfslow', 'M_s_ster_nofincon_bfslow', 'X_s_ster_nofincon_bfslow', 'pi_s_ster_nofincon_bfslow', 'R_f_s_ster_nofincon_bfslow', 'p_h_ster_nofincon_bfslow', 'p_h_s_ster_nofincon_bfslow', 'S_trend_ster_nofincon_bfslow', ...
'p_f_s_ster_nofincon_bfslow', 'R_k_ster_nofincon_bfslow', 'N_ster_nofincon_bfslow', 'W_ster_nofincon_bfslow', 'Y_h_ster_nofincon_bfslow', 'Y_h_s_ster_nofincon_bfslow', 'Y_h_total_ster_nofincon_bfslow', 'pi_ster_nofincon_bfslow', 'Y_f_ster_nofincon_bfslow', 'Y_f_s_ster_nofincon_bfslow', 'Y_f_total_ster_nofincon_bfslow', 'tau_r_ster_nofincon_bfslow',...
'N_s_ster_nofincon_bfslow', 'W_s_ster_nofincon_bfslow', 'R_k_s_ster_nofincon_bfslow', 'sgross_ratio_ster_nofincon_bfslow', 'igross_ratio_ster_nofincon_bfslow', '-append')*/

